Package: org.codehaus.groovy.macro.transform

## [Java] Class MacroTransformation

- org.codehaus.groovy.macro.transform.MacroTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.CONVERSION)
      public class MacroTransformation
      extends MethodCallTransformation
      implements CompilationUnitAware

  Since:
    2.5.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CompilationUnit` | `unit` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)`
    `` | `public void` | `setCompilationUnit(CompilationUnit unit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodCallTransformation` | `getTransformer, visit`

- - ### Field Detail

    - #### protected CompilationUnit unit

  - ### Method Detail

    - #### @Override
      protected GroovyCodeVisitor getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)

    - #### @Override
      public void setCompilationUnit(CompilationUnit unit)